> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/events/webhook-events.md).

# Webhook Events

Manages individual webhook event records and operations. Use these endpoints to retrieve, search, simulate, resend, and cancel webhook events.

**Available endpoints:**

```
 GET /v1/events/webhooks/all/events
POST /v1/events/webhooks/all/events/search
 GET /v1/events/webhooks/event/types
 GET /v1/events/webhooks/{webhook_id}/events
 GET /v1/events/webhooks/{webhook_id}/events/{event_id}
 GET /v1/events/webhooks/{webhook_id}/events/{event_id}/body
 GET /v1/events/webhooks/{webhook_id}/events/{event_id}/headers
POST /v1/apps/{app_id}/webhooks/{webhook_id}/simulate
POST /v1/events/webhooks/{webhook_id}/events/{event_id}/resend
POST /v1/events/webhooks/{webhook_id}/events/entity/{entity_id}/resend
POST /v1/events/webhooks/{webhook_id}/events/{event_id}/cancel
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/events/webhook-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
